---
description: Types are the classification system we use to categorize Objects
---

# Types

Just as in the physical world, Types are useful for defining Objects which are categorically different from one another.

A banana is something inherently different from a sofa. Its functions, properties, and relationships to other objects is more similar to those of apples and oranges, rather than sofas. For this reason, we might categorize apples, oranges, and bananas as _fruit_, whereas sofas would fall into a different category: that of _furniture._

By the same principle, in Anytype there are two important concepts to keep in mind:

1\) Every object has a Type, which is defined at the time of Object creation (and can be changed later)

2\) Different Types are used to define Objects which are categorically different from each other

Colleagues, friends, and neighbors might all be considered type: _Human_ in your Anytype graph. Here are other examples of Types you might have in your graph:

* Task
* Note
* Book
* Movie
* Idea

It's up to you how narrow or broad you'd like your Types to be, but generally we recommend using general Types for categorizing your Objects, and further refining the use of your Types through [Templates](broken-reference).

You can always view and manage your Types in your Space settings under the Content model section [#object-types](../../advanced/settings/space-settings.md#object-types "mention")

Additionally, each Type has an in-built Query which can be accessed by opening the Type from anywhere in the app.

<figure><img src="../../.gitbook/assets/image (53).png" alt=""><figcaption></figcaption></figure>

### Create a New Type

#### Creating Types from the Sidebar

In case you think of a new object type just as you're creating an object, you can create a new type on-the-fly. In this case, use the type selection menu in the same way as the search bar in the Types library. The type will be automatically added to your Types library, while you can proceed with editing the object of your new type.

<figure><img src="../../.gitbook/assets/image (28).png" alt="" width="375"><figcaption></figcaption></figure>

#### Creating Types from Space Settings

Open your [space.md](../install-and-setup/space.md "mention") settings, and navigate to `Content Model > Object Types`. Afterwards, simply click on `New` button to create a new Type.

From here, you can choose a name, layout, and add templates and properties to the newly created Type.

<div><figure><img src="../../.gitbook/assets/image (23).png" alt=""><figcaption></figcaption></figure> <figure><img src="../../.gitbook/assets/image (24).png" alt=""><figcaption></figcaption></figure></div>

If you've decided that this Type is no longer relevant, you can use the context menu (mouse right-click) to delete the Type from your space. Please proceed with caution; any objects of this type will show an alert if the Type has been removed from your library.

<div><figure><img src="../../.gitbook/assets/image (26).png" alt=""><figcaption></figcaption></figure> <figure><img src="../../.gitbook/assets/image (27).png" alt=""><figcaption></figcaption></figure></div>

#### Creating Types from the Object Editor

If you decide later on that you want to convert your object to a new object type _after it's created_, again - you can do so by selecting the object type, choosing 'Change type', and entering the name of the type which you would like to create.

<figure><img src="../../.gitbook/assets/image (29).png" alt="" width="375"><figcaption></figcaption></figure>

Any Type you create from the object editor will be available for editing in your space settings using the steps above.
