---
description: Building & using templates through types.
---

# Templates

Templates are one of our most-beloved ways to work at Anytype, designed to help you scale and personalize your Object creation flows. With Templates, you can:

* Customize the cover or icon you want to use to for certain object Types
* Automatically re-use the same structure each time you add a new Object

Templates are saved on the Type level, and each Type can support multiple Templates. For example, you can have different Templates for different kinds of Books, like academic, fiction, or non-fiction.

### How to Create a Template

There are three ways to add a Template:

1\) Navigate to `Space > Content Model > Object Types` → Click the Type for which you'd like to create a Template → Click on Templates in the top right corner → Click + to start creating a new template → Give your Template a name and start adding Properties and formatting → Your Template is auto-saved

<div><figure><img src="../../.gitbook/assets/image (164).png" alt=""><figcaption></figcaption></figure> <figure><img src="../../.gitbook/assets/image (166).png" alt=""><figcaption></figcaption></figure></div>

2\) If you're working within an Object and would like to save your work as a Template, you can: Navigate to `···` in the top-right corner → Click + Use as a Template, and your content will automatically be saved as a new Template for this Object Type.

<figure><img src="../../.gitbook/assets/image (185).png" alt="" width="563"><figcaption></figcaption></figure>

3\) If you are working in a List and you would like to create / edit your templates, you can:\
Navigate to `New|▾` in the top-right corner of the List view -> Click on the `▾` button to open up the template modal. Then either create a new template by using the `+` button, or modify an existing one by clicking on `···` in the top right corner of the template button, and choosing either `Edit template`, `Duplicate` or `Delete`.

<div><figure><img src="../../.gitbook/assets/image (170).png" alt=""><figcaption></figcaption></figure> <figure><img src="../../.gitbook/assets/image (171).png" alt=""><figcaption></figcaption></figure></div>

### Using & Managing Templates

Depending on the way you've created your new object, either the default template will be applied automatically, or you will be asked to choose a template yourself.

<figure><img src="../../.gitbook/assets/5_Template Picker Screenshot.png" alt="" width="375"><figcaption><p>Choose a template</p></figcaption></figure>

You can also choose the default template for each type by opening the Type object, or you can choose the default template for each List view.

<div><figure><img src="../../.gitbook/assets/image (162).png" alt=""><figcaption></figcaption></figure> <figure><img src="../../.gitbook/assets/image (163).png" alt=""><figcaption></figcaption></figure></div>
